<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     
     Programmed by David Smith (Kinematics - dsmith@mad.scientist.com) 4 Mar 2003

     changed by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 20.08.2006

     replaced <xsl:template match="Director"> with <xsl:template match="Credits"> 29.03.2005

     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text"
  encoding="ISO-8859-1"/>
  
<!-- ***************
     To make use of the DVD cover images, change the first following variable to the path
     of the local installation of DVD Profiler
     
     Note that the thumbnails won't exist unless you've already run a report inside
     DVD Profiler that makes use of them, such as the IVS Classic DVD Listing.
     
     *************** -->

<xsl:variable name="dvdprofilerpath">/cygdrive/d/Programme/DVD Profiler/IMAGES</xsl:variable>
<xsl:variable name="dvdprofilerimagespath"><xsl:value-of select="$dvdprofilerpath"/></xsl:variable>
<xsl:variable name="dvdprofilerthumbnailspath"><xsl:value-of select="$dvdprofilerimagespath"/>/thumbnails</xsl:variable>
<xsl:variable name="localwebserverpath">../dvdcover/</xsl:variable>
<xsl:variable name="localwebserverpaththumbnail">../dvdcover/thumbnails/</xsl:variable>

<!-- ***************
     The following is the "Image Not Available" graphic.  Not sure how to determine when
     the image isn't available, so isn't used for now.
     *************** -->
<xsl:variable name="noimagefile"><xsl:value-of select="$dvdprofilerpath"/>/media/sysimagena.jpg</xsl:variable>


<!-- ***************
     The code generated with this XSLT transform also includes classes useable
     with stylesheet code.  You may create that stylesheet to fit your needs.
     *************** -->

<xsl:template match="Collection">
  <xsl:apply-templates select="DVD"/>
  <!-- <xsl:sort select="SortTitle"/></xsl:apply-templates> -->
</xsl:template>

<xsl:template match="DVD">
  <xsl:variable name="thumbnail">
    <xsl:value-of select="$dvdprofilerthumbnailspath"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="frontcover">
    <xsl:value-of select="$dvdprofilerimagespath"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>f.jpg</xsl:text>
  </xsl:variable>
  <xsl:variable name="backcover">
    <xsl:value-of select="$dvdprofilerimagespath"/>
    <xsl:text>/</xsl:text>
    <xsl:value-of select="ID"/>
    <xsl:text>b.jpg</xsl:text>
  </xsl:variable>
<!-- Anime Owned -->
  <xsl:if test="contains(Genres, 'Anime') and contains(CollectionType, 'Owned') and not(contains(Genres, 'Adult'))">
    <xsl:text>cp -u "</xsl:text>
    <xsl:value-of select="$thumbnail"/>
    <xsl:text>" </xsl:text>
    <xsl:value-of select="$localwebserverpaththumbnail"/>
    <xsl:text>&#xa;</xsl:text>
    <xsl:text>cp -u "</xsl:text>
    <xsl:value-of select="$frontcover"/>
    <xsl:text>" </xsl:text>
    <xsl:value-of select="$localwebserverpath"/>
    <xsl:text>&#xa;</xsl:text>
    <xsl:text>cp -u "</xsl:text>
    <xsl:value-of select="$backcover"/>
    <xsl:text>" </xsl:text>
    <xsl:value-of select="$localwebserverpath"/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

