<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     
     Programmed by David Smith (Kinematics - dsmith@mad.scientist.com) 4 Mar 2003

     changed by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 29.03.2005
     
     added <xsl:template match="Credits"> for new XML-Style by Michael 'Mithi' Cordes 29.03.2005
     
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-subtitles.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>
  <xsl:include href="templates/template-audio.xsl"/>

<xsl:output method="html"
  encoding="ISO-8859-1"
  doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
  doctype-system="http://www.w3.org/TR/html401/loose.dtd"/>

<xsl:template match="Collection">
<html>
  <head>
    <title>Mithis Criterion-Collection</title>
    <meta name="author" content="Michael Cordes"/>
    <link rel="stylesheet" type="text/css" href="/privat/layout.css"/>
    <link rel="stylesheet" type="text/css" href="/privat/dvd-list.css"/>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
    <link rel="shortcut icon" href="/privat/favicon.ico" type="image/x-icon"/>
  </head>
  <body>
    <table summary="Ueberschrift" align="center">
      <tr>
        <td>
          <div class="ro">
            <div class="lo">
              <div class="ru">
                <div class="lu">
                  <div class="inhalt">
                    <h1>Mithis Criterion-Collection</h1>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </td>
      </tr>
    </table>
    <br/><br/>
    <table class="box" cellpadding="0" summary="DVD Liste" align="center">
        <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates>
    </table>
  </body>
</html>
</xsl:template>

<xsl:template match="DVD">
<!-- Criterions Owned -->
  <xsl:if test="contains(Tags, 'Criterion') and contains(CollectionType, 'Owned')">
    <xsl:choose>
    <xsl:when test="contains(Tags, 'Boxset Inhalt')">
        <tr>
          <td class="box2" rowspan="2">
          </td>
          <td class="dvdTitle" colspan="1"><xsl:value-of select="Title"/>
            <xsl:if test="count(Description)&gt;0">
              <br/><xsl:value-of select="Description"/>
            </xsl:if>
          </td>
        </tr>
        <tr>
          <td>
            <table border="0" width="100%">
              <tr>
                <td colspan="2" class="dvdData"><xsl:apply-templates select="Credits"/></td>
              </tr>
              <tr>
                <td width="50%" class="dvdData"><xsl:value-of select="ProductionYear"/></td>
                <td width="50%" class="dvdData"><xsl:value-of select="RunningTime"/><xsl:text> min</xsl:text></td>
              </tr>
              <tr>
                <td colspan="2" class="dvdData"><xsl:text>Ratio: </xsl:text><xsl:value-of select="Format/FormatAspectRatio"/><xsl:text>:1 </xsl:text>
                <xsl:if test="contains(Format/Format16X9, 'True')">
                <xsl:text>anamorph </xsl:text>
                </xsl:if>
                <xsl:value-of select="Format/FormatVideoStandard"/>
                </td>
              </tr>
              <tr>
                <td class="dvdData"><xsl:apply-templates select="Regions"/></td>
                <td class="dvdData"><xsl:text>Rating: </xsl:text><xsl:value-of select="Rating"/></td>
              </tr>
              <tr>
                <td class="dvdData" colspan="2"><xsl:apply-templates select="Genres"/></td>
              </tr>
              <tr>
                <td class="dvdData"><xsl:text>Language</xsl:text></td>
                <td class="dvdData"><xsl:text>Format</xsl:text></td>
              </tr>
              <xsl:apply-templates select="Audio"/>
              <tr>
                <td class="dvdData" colspan="2"><xsl:apply-templates select="Subtitles"/></td>
              </tr>
            </table>
          </td>
        </tr>
    </xsl:when>
    <xsl:otherwise>
       <tr>
         <td class="dvdTitle" colspan="2"><xsl:value-of select="Title"/>
           <xsl:if test="count(Description)&gt;0">
             <br/><xsl:value-of select="Description"/>
           </xsl:if>
         </td>
       </tr>
       <tr>
         <td colspan="2">
           <table border="0" width="100%">
             <tr>
               <td colspan="2" class="dvdData"><xsl:apply-templates select="Credits"/></td>
             </tr>
             <tr>
               <td width="50%" class="dvdData"><xsl:value-of select="ProductionYear"/></td>
               <td width="50%" class="dvdData"><xsl:value-of select="RunningTime"/><xsl:text> min</xsl:text></td>
             </tr>
             <tr>
               <td colspan="2" class="dvdData"><xsl:text>Ratio: </xsl:text><xsl:value-of select="Format/FormatAspectRatio"/><xsl:text>:1 </xsl:text>
               <xsl:if test="contains(Format/Format16X9, 'True')">
               <xsl:text>anamorph </xsl:text>
               </xsl:if>
               <xsl:value-of select="Format/FormatVideoStandard"/>
               </td>
             </tr>
             <tr>
               <td class="dvdData"><xsl:apply-templates select="Regions"/></td>
               <td class="dvdData"><xsl:text>Rating: </xsl:text><xsl:value-of select="Rating"/></td>
             </tr>
             <tr>
               <td class="dvdData" colspan="2"><xsl:apply-templates select="Genres"/></td>
             </tr>
             <tr>
               <td class="dvdData"><xsl:text>Language</xsl:text></td>
               <td class="dvdData"><xsl:text>Format</xsl:text></td>
             </tr>
             <xsl:apply-templates select="Audio"/>
             <tr>
               <td class="dvdData" colspan="2"><xsl:apply-templates select="Subtitles"/></td>
             </tr>
           </table>
         </td>
       </tr>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>

